Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## hibergui
Class HiberGUI

    java.lang.Object
      hibergui.HiberGUI

    public class HiberGUI

extends java.lang.Object

Utility class for defining constants used in HiberGUI components.

Author:
  Miklós Espák

Field Summary
`static int` | `AUTO_COMMIT`
`static org.eclipse.swt.graphics.Color` | `COLOR_DEFAULT_BACKGROUND`
`static org.eclipse.swt.graphics.Color` | `COLOR_DIRTY`
`static org.eclipse.swt.graphics.Color` | `COLOR_EXACT`
`static org.eclipse.swt.graphics.Color` | `COLOR_FIXED`
`static org.eclipse.swt.graphics.Color` | `COLOR_INVALID`
`static org.eclipse.swt.graphics.Color` | `COLOR_READ_ONLY`
`static org.eclipse.swt.graphics.Color` | `COLOR_SEARCH`
`static org.eclipse.swt.graphics.Color` | `COLOR_UNAMBIGUOUS`
`static int` | `MULTI`
`static int` | `MULTIPLE_SELECTION`
`static int` | `NO_BUTTONS`
`static int` | `NO_FIELDS`
`static int` | `NO_LABEL`
`static int` | `NO_MODIFY`
`static int` | `NO_SELECTION`
`static int` | `NO_SELECTOR`
`static int` | `NONE`
`static int` | `NOT_NULL`
`static int` | `READ_ONLY`
`static int` | `SINGLE_SELECTION`

Constructor Summary
`HiberGUI()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NONE

    public static final int NONE

See Also:
  Constant Field Values

### NO_LABEL

    public static final int NO_LABEL

See Also:
  Constant Field Values

### NOT_NULL

    public static final int NOT_NULL

See Also:
  Constant Field Values

### MULTI

    public static final int MULTI

See Also:
  Constant Field Values

### READ_ONLY

    public static final int READ_ONLY

See Also:
  Constant Field Values

### NO_MODIFY

    public static final int NO_MODIFY

See Also:
  Constant Field Values

### NO_FIELDS

    public static final int NO_FIELDS

See Also:
  Constant Field Values

### NO_BUTTONS

    public static final int NO_BUTTONS

See Also:
  Constant Field Values

### NO_SELECTOR

    public static final int NO_SELECTOR

See Also:
  Constant Field Values

### AUTO_COMMIT

    public static final int AUTO_COMMIT

See Also:
  Constant Field Values

### SINGLE_SELECTION

    public static final int SINGLE_SELECTION

See Also:
  Constant Field Values

### MULTIPLE_SELECTION

    public static final int MULTIPLE_SELECTION

See Also:
  Constant Field Values

### NO_SELECTION

    public static final int NO_SELECTION

See Also:
  Constant Field Values

### COLOR_DEFAULT_BACKGROUND

    public static final org.eclipse.swt.graphics.Color COLOR_DEFAULT_BACKGROUND

### COLOR_READ_ONLY

    public static final org.eclipse.swt.graphics.Color COLOR_READ_ONLY

### COLOR_FIXED

    public static final org.eclipse.swt.graphics.Color COLOR_FIXED

### COLOR_DIRTY

    public static final org.eclipse.swt.graphics.Color COLOR_DIRTY

### COLOR_INVALID

    public static final org.eclipse.swt.graphics.Color COLOR_INVALID

### COLOR_UNAMBIGUOUS

    public static final org.eclipse.swt.graphics.Color COLOR_UNAMBIGUOUS

### COLOR_EXACT

    public static final org.eclipse.swt.graphics.Color COLOR_EXACT

### COLOR_SEARCH

    public static final org.eclipse.swt.graphics.Color COLOR_SEARCH

Constructor Detail

### HiberGUI

    public HiberGUI()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD